//--- CAN485 TEST Program for CQ TraGi 2021 ---//
//--- I/O -----------------
#define Node0_pin       4
#define Node1_pin       5
#define SW0_pin         6
#define SW1_pin         7
#define SW2_pin         8
#define SW3_pin         9
#define ONboard_LED_pin 13
//--- Serial baudrate ----------
#define Serial_baudRate 1000000

void setup() {
  //--- CAN Serial I/O set  --------------------------------------
  CAN_SetUP_LOOP();
  CAN_MOb_SET_000();
  Serial.begin(Serial_baudRate);  //Serial(USB) Baudrate for Debug  
  //--- I/O set up ----------------
  pinMode(ONboard_LED_pin, OUTPUT);
  pinMode(Node0_pin, INPUT_PULLUP);
  pinMode(Node1_pin, INPUT_PULLUP);
  pinMode(SW0_pin,   INPUT_PULLUP);
  pinMode(SW1_pin,   INPUT_PULLUP);
  pinMode(SW2_pin,   INPUT_PULLUP);
  pinMode(SW3_pin,   INPUT_PULLUP);
  //- Servo set up --
  Servo_setUp_loop();
  //--- i2C LCD SetUP -----
  LCD_init_setUp();
}
// Go To "_92_MAIN" //
