//=======================================================
// サーボのインスタンス定義
#include <Servo.h>      //サーボ操作用　標準ライブラリー
#define Servo_pin_0 10  //Servo pin No, set
#define Servo_pin_1 11  //Servo pin No, set
Servo   Servo_0;        //Servo　name set
Servo   Servo_1;        //Servo　name set
volatile int Servo_val[6] = {0};  // 1000 - 2000
//=======================================================
void Servo_setUp_loop() {
  Servo_0.attach(Servo_pin_0);
  Servo_1.attach(Servo_pin_1);
  Servo_0.writeMicroseconds(1500);
  Servo_1.writeMicroseconds(1500);
}

//=======================================================
void  Servo_angle_outPut() {
  Servo_0.writeMicroseconds(Servo_val[0]);
  Servo_1.writeMicroseconds(Servo_val[1]);
}

//=======================================================
void Servo_angle_Processing() {
  int aa = 0;
  int bb = 0;
  switch (Node_select_No) {
    //--------------------------------------
    case 0:
      for (byte I = 0; I < 4; I++) {
        aa = A2_val[I] / 4; // 0 ~ 1000
        bb = aa;
        Servo_val[I] = bb + 1000;
      }
      break;
    //--------------------------------------
    case 1:
      aa = CAN_RxD[0][0];
      bb = CAN_RxD[0][1];
      aa = aa * 256;
      Servo_val[0] = aa + bb;
      aa = CAN_RxD[0][2];
      bb = CAN_RxD[0][3];
      aa = aa * 256;
      Servo_val[1] = aa + bb;
      break;
    //--------------------------------------
    case 2:
      aa = CAN_RxD[0][4];
      bb = CAN_RxD[0][5];
      aa = aa * 256;
      Servo_val[0] = aa + bb;
      aa = CAN_RxD[0][6];
      bb = CAN_RxD[0][7];
      aa = aa * 256;
      Servo_val[1] = aa + bb;
      break;
    //--------------------------------------
    default:
      Servo_val[0] = 1500;
      Servo_val[1] = 1500;
      break;
  }
}
