//--- Processing Page ---//
//===============================================
void On_Board_LED_Processing_4CQ() {
  byte A = 0;
  byte B = 0;
  static byte L = 0;
  static byte M = 0;
  static byte time_Count = 0;
  static byte Err_Count = 0;
  byte CAN_Rx_MOb_No = 0;
  //---------------------------------------------
  CAN_Rx_MOb_No = 1;
  M = CAN_RxD[CAN_Rx_MOb_No][1]; //life Count val
  if (L == M) {
    if (Err_Count < 128) {
      Err_Count++;
    }
  } else {
    Err_Count = 0;
  }
  L = M;
  //-------------------------
  if ( Err_Count >= 16) {
    On_Bord_LED_flag = false;
  } else {
    switch (Node_select_No) {
      //-----------------------------
      case 0:
        On_Bord_LED_flag = false;
        break;
      //-----------------------------
      case 1:
        CAN_Rx_MOb_No = 1;
        On_Bord_LED_flag = false;
        A =  CAN_RxD[CAN_Rx_MOb_No][0];
        //-----------------------------
        B = A & B0001;
        if (B > 0) {
          On_Bord_LED_flag = true;
        }
        //-----------------------------
        B = A & B0010;
        if (B > 0) {
          if (time_Count >= 5) {
            time_Count = 0;
            if (On_Bord_LED_flag == false) {
              On_Bord_LED_flag = true;
            } else {
              On_Bord_LED_flag = false;
            }
          } else {
            time_Count++;
          }
        } else {
          time_Count = 0;
        }
        break;
      //-----------------------------
      case 2:
        CAN_Rx_MOb_No = 1;
        On_Bord_LED_flag = false;
        A =  CAN_RxD[CAN_Rx_MOb_No][0];
        //-----------------------------
        B = A & B0100;
        if (B > 0) {
          On_Bord_LED_flag = true;
        }
        //-----------------------------
        B = A & B1000;
        if (B > 0) {
          if (time_Count >= 5) {
            time_Count = 0;
            if (On_Bord_LED_flag == false) {
              On_Bord_LED_flag = true;
            } else {
              On_Bord_LED_flag = false;
            }
          } else {
            time_Count++;
          }
        } else {
          time_Count = 0;
        }
        break;
      //-----------------------------
      case 3:
        On_Bord_LED_flag = false;
        break;
      //-----------------------------
      default:
        On_Bord_LED_flag = false;
        break;
    }
  }
}

//==================================================================
void CAN_Tx_DATA_SET() {
  static byte life_Count = 0;
  unsigned int AA = 0;
  unsigned int BB = 0;
  byte D[8] = {};
  byte Tx_No = 0;
  //--------------------------------------------
  Tx_No = 0;
  AA = Servo_val[0];
  BB = AA / 256;  D[0] = BB;
  BB = AA % 256;  D[1] = BB;
  AA = Servo_val[1];
  BB = AA / 256;  D[2] = BB;
  BB = AA % 256;  D[3] = BB;
  AA = Servo_val[2];
  BB = AA / 256;  D[4] = BB;
  BB = AA % 256;  D[5] = BB;
  AA = Servo_val[3];
  BB = AA / 256;  D[6] = BB;
  BB = AA % 256;  D[7] = BB;

  CAN_TxD[Tx_No][0] = D[0];
  CAN_TxD[Tx_No][1] = D[1];
  CAN_TxD[Tx_No][2] = D[2];
  CAN_TxD[Tx_No][3] = D[3];
  CAN_TxD[Tx_No][4] = D[4];
  CAN_TxD[Tx_No][5] = D[5];
  CAN_TxD[Tx_No][6] = D[6];
  CAN_TxD[Tx_No][7] = D[7];
  CAN_TxD[Tx_No][8] = 8;  //データー長
  //--------------------------------------------
  Tx_No = 1;
  CAN_TxD[Tx_No][0] = SW_Val;
  CAN_TxD[Tx_No][1] = life_Count;
  //CAN_TxD[Tx_No][2] = ;
  //CAN_TxD[Tx_No][3] = ;
  //CAN_TxD[Tx_No][4] = ;
  //CAN_TxD[Tx_No][5] = ;
  //CAN_TxD[Tx_No][6] = ;
  //CAN_TxD[Tx_No][7] = ;
  CAN_TxD[Tx_No][8] = 2;  //データー長
  life_Count++;
  //--------------------------------------------
}





//
