//============================================================
volatile boolean SW_flag[4]   = {false, false, false, false};
volatile boolean Node_flag[4] = {false, false, false, false};
volatile byte Node_select_No = 0;
volatile byte SW_Val         = 0;
volatile boolean On_Bord_LED_flag = false;
//-----------------------------------------
void Node_select_loop() {
  byte A = 0;
  A = PINE;           //B----NN--
  A = A >> 2;         //B------NN
  A = A & B00000011;  //MASK A=0~3
  A = 3 - A;          //0~3 => 3~0
  Node_select_No = A;
}

//---------------------------------
void SW_Get() {
  byte A = 0;
  A = PINE ;
  A = A >> 4;
  A = A & B00001111;
  A = 15 - A;
  SW_Val = A;
  for (byte i = 0; i < 4; i++) {
    A = SW_Val;
    A = A >> i;
    A = A & B0001;
    if (A == 0) {
      SW_flag[i] = false;
    } else {
      SW_flag[i] = true;
    }
  }
}

//---------------------------------
void LED_Drv() {
  byte A = 0;
  if (On_Bord_LED_flag == true) {
    PORTB = PORTB | B00000010;
  } else {
    PORTB = PORTB & B11111101;
  }
}

//==================================================
volatile int AN_val[6] = {0};  // 0 -5115
volatile int A2_val[6] = {0};  // 0- 4000
//--------------------------------------------------
void AD_Get() {
  int aa = 0;
  int bb = 0;
  static int  AD_dd = 0;
  static byte AD_C  = 0; //AD ch
  static byte AD_N  = 0; //足し込み回数
  AD_dd = AD_dd + analogRead(AD_C);
  AD_N ++;
  if (AD_N >= 5) {
    aa = AD_dd;
    AN_val[AD_C] = aa;
    bb = aa - 512;
    A2_val[AD_C] = constrain(bb, 0, 4000);
    //--------
    AD_dd = 0;
    AD_N  = 0;
    AD_C++;
    if (AD_C >= 4) {
      AD_C = 0;
    }
  }
}
