//=======================================================
void loop() {
  Node_select_loop();         //CN302ジャンパーピン設定読み込み
  Inteval_time_count_loop();  //周期送信(20ms)を作り出す処理
  Synchronous_loop();         //20ms周期処理
  CAN_Rx_loop_02MOb();        // 2IDCAN受信処理
  //CAN_Rx_loop_13MOb();      //13IDを割り振った場合
  AD_Get();                   //ADデータ取得処理
  SW_Get();                   //SW状態取得処理
  LED_Drv();                  //LED点灯処理
  LCD_loop();                 //LCD表示処理
}

//=======================================================
void Synchronous_loop() {
  int aa = 0;
  int bb = 0;
  int cc = 0;
  int dd = 0;
  static byte Mode_I = 255;
  //Serial.print(Mode_I, HEX); //for Debug
  static byte TimeOutCount = 0; //20200314 timeout 設定
  switch (Mode_I) {
    //-------------------------------
    case 0: //
      On_Board_LED_Processing_4CQ();
      CAN_Tx_DATA_SET();
      Mode_I++;
      break;
    //--------------------------------
    case 1:
      if (Node_select_No == 0) {
        //CAN_Tx_loop_MOb_No14(); //CTx MOb 14 only
        CAN_Tx_loop_MOb_No08_14();  //CTx MOb 08-14 
        //------------------------------
        if (CAN_Tx_OK_Flag == true) {
          CAN_Tx_OK_Flag = false;
          TimeOutCount = 0;
          Mode_I++; //次のステージに
        } else {
          if (TimeOutCount >= 128) {
            TimeOutCount = 0;
            Mode_I++; //次のステージに
          } else {
            TimeOutCount++;
          }
        }
      } else {
        Mode_I++;
      }
      break;
    //-------------------------------
    case 2: //予備
      Mode_I++;
      break;
    //-------------------------------
    case 3: //servo_0
      Servo_angle_Processing();
      Mode_I++;
      break;
    //-----------------------
    case 4://Servo_1
      Servo_angle_outPut();
      Mode_I++;
      break;
    //-----------------------
    default:
      if (timer_INT_Enable_flag == true) {
        timer_INT_Enable_flag = false;
        Mode_I = 0;
      } else {
        //CAN_Rx_loop();
        //CAN_Rx_loop_13MOb();
        //CAN_Rx_loop_02MOb();
        CAN_Rx_loop_00_07MOb();
      }
      break;
  }
}






//
